fe_s Struct Reference

Structure for the front-end computation. More...

`#include <fe_internal.h>`

## Data Fields

cmd_ln_t * | config
int | refcount
float32 | sampling_rate
int16 | frame_rate
int16 | frame_shift
float32 | window_length
int16 | frame_size
int16 | fft_size
uint8 | fft_order
uint8 | feature_dimension
uint8 | num_cepstra
uint8 | remove_dc
uint8 | log_spec
uint8 | swap
uint8 | dither
uint8 | transform
float32 | pre_emphasis_alpha
int32 | seed
int16 | frame_counter
uint8 | start_flag
uint8 | reserved
frame_t * | ccc
frame_t * | sss
melfb_t * | mel_fb
window_t * | hamming_window
int16 * | spch
frame_t * | frame
powspec_t * | spec
powspec_t * | mfspec
int16 * | overflow_samps
int16 | num_overflow_samps
int16 | prior

## Detailed Description

Structure for the front-end computation.

Definition at line 124 of file fe_internal.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/fe_internal.h